## linux-ti-omap4 3.2.0-1426.34

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 37
EXTRAVERSION =
NAME = Saber-toothed Squirrel

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__ -D__linux_kernel__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)

=== drivers/staging/omapdrm/Makefile ===
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

ccflags-y := -Iinclude/drm -Werror
omapdrm-y := omap_drv.o omap_crtc.o omap_encoder.o omap_connector.o omap_fb.o omap_fbdev.o

obj-$(CONFIG_DRM_OMAP)	+= omapdrm.o

=== drivers/net/wireless/iwlwifi/Makefile ===
# WIFI
obj-$(CONFIG_IWLWIFI)	+= iwlwifi.o
iwlwifi-objs		:= iwl-agn.o iwl-agn-rs.o
iwlwifi-objs		+= iwl-agn-ucode.o iwl-agn-tx.o iwl-debug.o
iwlwifi-objs		+= iwl-agn-lib.o iwl-agn-calib.o iwl-io.o
iwlwifi-objs		+= iwl-agn-tt.o iwl-agn-sta.o iwl-agn-rx.o

iwlwifi-objs		+= iwl-core.o iwl-eeprom.o iwl-power.o
iwlwifi-objs		+= iwl-scan.o iwl-led.o
iwlwifi-objs		+= iwl-agn-rxon.o
iwlwifi-objs		+= iwl-5000.o
iwlwifi-objs		+= iwl-6000.o
iwlwifi-objs		+= iwl-1000.o
iwlwifi-objs		+= iwl-2000.o
iwlwifi-objs		+= iwl-pci.o
iwlwifi-objs		+= iwl-trans.o
iwlwifi-objs		+= iwl-trans-pcie.o iwl-trans-pcie-rx.o iwl-trans-pcie-tx.o

iwlwifi-$(CONFIG_IWLWIFI_DEBUGFS) += iwl-debugfs.o
iwlwifi-$(CONFIG_IWLWIFI_DEVICE_TRACING) += iwl-devtrace.o
iwlwifi-$(CONFIG_IWLWIFI_DEVICE_SVTOOL) += iwl-sv-open.o

CFLAGS_iwl-devtrace.o := -I$(src)

ccflags-y += -D__CHECK_ENDIAN__

=== debian/changelog ===
linux-ti-omap4 (3.2.0-1426.34) precise-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1117447

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-38.59

  [ Ubuntu: 3.2.0-38.59 ]

  * Release Tracking Bug
    - LP: #1116240
  * [Config] enable various HVC consoles
    - LP: #1102206
  * [Config] updateconfigs for 3.2.36 stable update
  * (config) Move 9p modules into generic package
    - LP: #1107658
  * Revert "device_cgroup: fix RCU usage"
    - LP: #1096966
  * Revert "sched, autogroup: Stop going ahead if autogroup is disabled"
    - LP: #1096966
  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1096966
  * Revert "mm: vmscan: fix endless loop in kswapd balancing"
    - LP: #1096966
  * freezer: PF_FREEZER_NOSIG should be cleared along with PF_NOFREEZE
    - LP: #1096966
  * i915: Quirk no_lvds on Gigabyte GA-D525TUD ITX motherboard
    - LP: #1096966
  * drm/i915: Add no-lvds quirk for Supermicro X7SPA-H
    - LP: #1096966
  * ACPI: missing break
    - LP: #1096966
  * workqueue: convert BUG_ON()s in __queue_delayed_work() to
    WARN_ON_ONCE()s
    - LP: #1096966
  * hwmon: (coretemp) Improve support of recent Atom CPU models
    - LP: #1096966
  * hwmon: (coretemp) Add support for Atom D2000 and N2000 series CPU
    models
    - LP: #1096966
  * hwmon: (coretemp) Improve support for TjMax detection on Atom CPUs
    - LP: #1096966
  * hwmon: (coretemp) Add support for Atom CE4110/4150/4170
    - LP: #1096966
  * ARM: 7566/1: vfp: fix save and restore when running on pre-VFPv3 and
    CONFIG_VFPv3 set
    - LP: #1096966
  * sata_svw: check DMA start bit before reset
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: fix typo
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: ret may be uninitialized
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: fix lp5521_read() error handling
    - LP: #1096966
  * scsi: aha152x: Fix sparse warning and make printing pointer address
    more portable.
    - LP: #1096966
  * ALSA: hda - Fix missing beep on ASUS X43U notebook
    - LP: #1096966
  * i7300_edac: Fix error flag testing
    - LP: #1096966
  * Revert misapplied "mmc: sh-mmcif: avoid oops on spurious interrupts"
    - LP: #1096966
  * tmpfs: fix shared mempolicy leak
    - LP: #1096966
  * powerpc: fix wii_memory_fixups() compile error on 3.0.y tree
    - LP: #1096966
  * s390/kvm: dont announce RRBM support
    - LP: #1096966
  * cgroup: cgroup_subsys->fork() should be called after the task is added
    to css_set
    - LP: #1096966
  * freezer: add missing mb's to freezer_count() and freezer_should_skip()
    - LP: #1096966
  * mm: add kmap_to_page()
    - LP: #1096966
  * mm: highmem: export kmap_to_page for modules
    - LP: #1096966
  * virtio: 9p: correctly pass physical address to userspace for high pages
    - LP: #1096966
  * virtio: force vring descriptors to be allocated from lowmem
    - LP: #1096966
  * ath9k_hw: Enable hw PLL power save for AR9462
    - LP: #1096966
  * KVM: PPC: 44x: fix DCR read/write
    - LP: #1096966
  * usb: gadget: network: fix bind() error path
    - LP: #1096966
  * usb: gadget: midi: free hs descriptors
    - LP: #1096966
  * usb: gadget: phonet: free requests in pn_bind()'s error path
    - LP: #1096966
  * usb: gadget: uvc: fix error path in uvc_function_bind()
    - LP: #1096966
  * x86: hpet: Fix masking of MSI interrupts
    - LP: #1096966
  * usb: musb: cppi_dma: export cppi_interrupt()
    - LP: #1096966
  * nfs: fix wrong object type in lockowner_slab
    - LP: #1096966
  * iscsi-target: Always send a response before terminating iSCSI
    connection
    - LP: #1096966
  * ext4: fix memory leak in ext4_xattr_set_acl()'s error path
    - LP: #1096966
  * ARM: mm: use pteval_t to represent page protection values
    - LP: #1096966
  * USB: fix endpoint-disabling for failed config changes
    - LP: #1096966
  * USB: EHCI: bugfix: urb->hcpriv should not be NULL
    - LP: #1096966
  * genirq: Always force thread affinity
    - LP: #1096966
  * xhci: Fix conditional check in bandwidth calculation.
    - LP: #1096966
  * xHCI: Fix TD Size calculation on 1.0 hosts.
    - LP: #1096966
  * xhci: fix null-pointer dereference when destroying half-built segment
    rings
    - LP: #1096966
  * xhci: Extend Fresco Logic MSI quirk.
    - LP: #1096966
  * usb: host: xhci: Stricter conditional for Z1 system models for
    Compliance Mode Patch
    - LP: #1096966
  * Staging: bcm: Create and initialize new device id in InterfaceInit
    - LP: #1096966
  * Staging: bcm: Add two products and remove an existing product.
    - LP: #1096966
  * rcu: Fix batch-limit size problem
    - LP: #1096966
  * ext4: init pagevec in ext4_da_block_invalidatepages
    - LP: #1096966
  * powerpc: Fix CONFIG_RELOCATABLE=y CONFIG_CRASH_DUMP=n build
    - LP: #1096966
  * ftrace: Clear bits properly in reset_iter_read()
    - LP: #1096966
  * ACPI / battery: Correct battery capacity values on Thinkpads
    - LP: #1096966
  * cgroup: remove incorrect dget/dput() pair in cgroup_create_dir()
    - LP: #1096966
  * Bluetooth: Add support for BCM20702A0 [04ca, 2003]
    - LP: #1096966
  * Bluetooth: Add support for BCM20702A0 [0b05, 17b5]
    - LP: #1096966
  * regulator: wm831x: Set the new rather than old value for DVS VSEL
    - LP: #1096966
  * drm: fix documentation for drm_crtc_set_mode()
    - LP: #1096966
  * mfd: Only unregister platform devices allocated by the mfd core
    - LP: #1096966
  * NFS: Add sequence_priviliged_ops for nfs4_proc_sequence()
    - LP: #1096966
  * drm/i915: make the panel fitter work on pipes B and C on IVB
    - LP: #1096966
  * USB: add new zte 3g-dongle's pid to option.c
    - LP: #1096966
  * ACPI / PM: Add Sony Vaio VPCEB1S1E to nonvs blacklist.
    - LP: #1096966
  * nfsd: fix v4 reply caching
    - LP: #1096966
  * USB: OHCI: workaround for hardware bug: retired TDs not added to the
    Done Queue
    - LP: #1096966
  * USB: option: blacklist network interface on Huawei E173
    - LP: #1096966


=== debian/control ===
Source: linux-ti-omap4
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-maverick.git

#Package: linux-ti-omap4-source-3.2.0
#Architecture: all
#Section: devel
#Priority: optional
#Provides: linux-ti-omap4-source, linux-ti-omap4-source-2.6
#Depends: ${misc:Depends}, binutils, bzip2, coreutils | fileutils (>= 4.0)
#Recommends: libc-dev, gcc, make
#Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
#Description: Linux kernel source for version 3.2.0 with Ubuntu patches
# This package provides the source code for the Linux kernel version
# 3.2.0.
# .
# This package is mainly meant for other packages to use, in order to build
# custom flavours.
# .
# If you wish to use this package to create a custom Linux kernel, then it
# is suggested that you investigate the package kernel-package, which has
# been designed to ease the task of creating kernel image packages.
# .
# If you are simply trying to build third-party modules for your kernel,
# you do not want this package. Install the appropriate linux-headers
# package instead.

#Package: linux-ti-omap4-doc
#Architecture: all
#Section: doc
#Priority: optional
#Depends: ${misc:Depends}
#Conflicts: linux-ti-omap4-doc-2.6
#Replaces: linux-ti-omap4-doc-2.6
#Description: Linux kernel specific documentation for version 3.2.0
# This package provides the various documents in the 3.2.0 kernel
# Documentation/ subdirectory.  These document kernel subsystems, APIs, device
# drivers, and so on.  See
# /usr/share/doc/linux-ti-omap4-doc/00-INDEX for a list of what is
# contained in each file.

#Package: linux-ti-omap4-tools-common
#Architecture: all
#Section: admin
#Priority: optional
#Depends: ${misc:Depends}
#Replaces: linux-ti-omap4-tools (<= 2.6.32-16.25)
#Description: Linux kernel specific tools for version 3.2.0
# This package provides the architecture independent parts for kernel
# version locked tools in the 3.2.0 kernel source.

Package: linux-headers-3.2.0-1426
Architecture: armel armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Provides: linux-ti-omap4-headers, linux-ti-omap4-headers-2.6
Description: Header files related to Linux kernel version 3.2.0
 This package provides kernel header files for version 3.2.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-3.2.0-1426/debian.README.gz for details

#Package: linux-libc-dev
#Architecture: armel armhf
#Depends: ${misc:Depends}
#Conflicts: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), amd64-libs-dev (<= 1.1), linux-ti-omap4-kernel-headers
#Replaces: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6), linux-ti-omap4-kernel-headers, libdrm-dev
#Provides: linux-ti-omap4-kernel-headers
#Description: Linux Kernel Headers for development
# This package provides headers from the Linux kernel.  These headers
# are used by the installed headers for GNU glibc and other system
# libraries. They are NOT meant to be used to build third-party modules for
# your kernel. Use linux-ti-omap4-headers-* packages for that.

Package: linux-ti-omap4-tools-3.2.0-1426
Architecture: armel armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 3.2.0-1426
 This package provides the architecture dependant parts for kernel
 version locked tools for version 3.2.0-1426 on
 DESC.


Package: linux-image-3.2.0-1426-omap4
Architecture: armel armhf
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, 
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), crda (>= 1.1.1-1ubuntu2) | wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-ti-omap4-doc-3.2.0 | linux-ti-omap4-source-3.2.0, linux-ti-omap4-tools
Description: Linux kernel image for version 3.2.0 on TI OMAP4-based systems
 This package contains the Linux kernel image for version 3.2.0 on
 TI OMAP4-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports TI OMAP4 processors.
 .
 Targeted towards boards such as Blazeboard, Pandaboard, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-omap4 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.2.0-1426-omap4
Architecture: armel armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.2.0-1426, ${shlibs:Depends}
Provides: linux-ti-omap4-headers, linux-ti-omap4-headers-2.6
Description: Linux kernel headers for version 3.2.0 on TI OMAP4-based systems
 This package provides kernel header files for version 3.2.0 on
 TI OMAP4-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-ti-omap4-headers-3.2.0-1426/debian.README.gz for details.

Package: linux-image-3.2.0-1426-omap4-dbgsym
Architecture: armel armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.2.0 on TI OMAP4-based systems
 This package provides a kernel debug image for version 3.2.0 on
 TI OMAP4-based systems.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

## linux-ti-omap4 3.2.0-1497.124

=== debian/changelog ===
linux-ti-omap4 (3.2.0-1497.124) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1647717

  [ Ubuntu: 3.2.0-119.162 ]

  * Release Tracking Bug
    - LP: #1647713
  * CVE-2016-7916
    - proc: prevent accessing /proc/<PID>/environ until it's ready
  * [Hyper-V] do not lose pending heartbeat vmbus packets (LP: #1632786)
    - hv: do not lose pending heartbeat vmbus packets

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 06 Dec 2016 14:10:46 +0000

linux-ti-omap4 (3.2.0-1496.123) precise; urgency=low

  [ Ubuntu: 3.2.0-118.161 ]

  * CVE-2016-8655 (LP: #1646318)
    - packet: fix race condition in packet_set_ring

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 05 Dec 2016 11:30:37 +0000

linux-ti-omap4 (3.2.0-1494.121) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1640552

  [ Ubuntu: 3.2.0-116.158 ]

  * Release Tracking Bug
    - LP: #1640549
  *  xen:balloon errors in 14.04 beta (LP: #1304001)
    - xen/balloon: cancel ballooning if adding new memory failed
    - xen/balloon: Don't continue ballooning when BP_ECANCELED is encountered
  * CVE-2016-7425
    - scsi: arcmsr: Buffer overflow in arcmsr_iop_message_xfer()

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 09 Nov 2016 18:11:44 +0000

linux-ti-omap4 (3.2.0-1493.120) precise; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1636539

  [ Ubuntu: 3.2.0-115.157 ]

  * CVE-2016-5195
    - Revert "UBUNTU:SAUCE: mm: remove gup_flags FOLL_WRITE games from
      __get_user_pages()"
    - mm, gup: close FOLL MAP_PRIVATE race

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 25 Oct 2016 10:40:43 -0500

linux-ti-omap4 (3.2.0-1492.119) precise; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1635439

  [ Ubuntu: 3.2.0-114.156 ]

  * proc_keys_show crash when reading /proc/keys (LP: #1634496)
    - SAUCE: KEYS: ensure xbuf is large enough to fix buffer overflow in
      proc_keys_show (LP: #1634496)
  * CVE-2016-7117
    - net: Fix use after free in the recvmmsg exit path
  * CVE-2015-7833
    - usbvision: revert commit 588afcc1

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 21 Oct 2016 07:54:43 -0500

linux-ti-omap4 (3.2.0-1491.118) precise; urgency=low

  [ Ubuntu: 3.2.0-113.155 ]

  * CVE-2016-5195
    - SAUCE: mm: remove gup_flags FOLL_WRITE games from __get_user_pages()

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 18 Oct 2016 15:41:07 -0500

linux-ti-omap4 (3.2.0-1489.116) precise; urgency=low

  [ Ubuntu: 3.2.0-111.153 ]

  * Release Tracking Bug
    - LP: #1626154
  * Altering use_tempaddr drops all IPv6 addresses (LP: #994931)
    - Revert "UBUNTU: SAUCE: ipv6: make the net.ipv6.conf.all.use_tempaddr sysctl
      propagate to interface settings"
    - neigh: new unresolved queue limits
    - neigh: Add device constructor/destructor capability.
    - atm: clip: Use device neigh support on top of "arp_tbl".
    - atm: clip: remove clip_tbl
    - neigh: convert parms to an array
    - neigh: wrap proc dointvec functions
    - neigh: use tbl->family to distinguish ipv4 from ipv6
    - neigh: restore old behaviour of default parms values
    - neigh: ipv6: respect default values set before an address is assigned to
      device
  * Xen guest total memory size smaller than specified in virtual configuration
    due to Xen balloon driver (LP: #1622567)
    - mm: introduce helper function mem_init_print_info() to simplify mem_init()
    - xen/balloon: Set balloon's initial state to number of existing RAM pages
  * CVE-2016-6136
    - audit: fix a double fetch in audit_log_single_execve_arg()
  * CVE-2016-6480
    - aacraid: Check size values after double-fetch from user
  * CVE-2016-6828
    - tcp: fix use after free in tcp_xmit_retransmit_queue()

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Thu, 22 Sep 2016 13:42:46 -0400

linux-ti-omap4 (3.2.0-1488.115) precise; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1618039

  [ Ubuntu: 3.2.0-110.151 ]

  * MacBookPro11,4 fails to poweroff or suspend (LP: #1587714)
    - SAUCE: PCI: Workaround to enable poweroff on Mac Pro 11

  * CVE-2016-3857
    - arm: oabi compat: add missing access checks

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 30 Aug 2016 08:57:58 -0600

linux-ti-omap4 (3.2.0-1487.114) precise; urgency=low

  [ Stefan Bader ]

  * Release Tracking Bug
    - LP: #1612738

  [ Ubuntu: 3.2.0-109.150 ]

  * CVE-2016-5696
    - tcp: make challenge acks less predictable

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 12 Aug 2016 19:52:53 +0200

linux-ti-omap4 (3.2.0-1486.113) precise; urgency=low

  [ Stefan Bader ]

  * Release Tracking Bug
    - LP: #1611312

  [ Ubuntu: 3.2.0-108.149 ]

  * CVE-2016-5829
    - HID: hiddev: validate num_values for HIDIOCGUSAGES, HIDIOCSUSAGES commands
  * changelog: add CVEs as first class citizens (LP: #1604344)
    - use CVE numbers in changelog
    - avoid duplicate CVE numbers in changelog
  * CVE-2016-5244 (LP: #1589041)
    - rds: fix an infoleak in rds_inc_info_copy

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 10 Aug 2016 18:45:53 +0200

linux-ti-omap4 (3.2.0-1485.112) precise; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1604100

  [ Kamal Mostafa ]

  * [Debian] embed derivative target name in release tag (LP: #1599924)

  [ Ubuntu: 3.2.0-107.148 ]

  * Release Tracking Bug
    - LP: #1604099
  * CVE-2016-5243 (LP: #1589036)
    - tipc: fix an infoleak in tipc_nl_compat_link_dump
  * qeth: delete napi struct when removing a qeth device (LP: #1601831)
    - qeth: delete napi struct when removing a qeth device
  * linux: Homogenize changelog format across releases (LP: #1599562)
    - Revert "UBUNTU: [debian] BugLink: close LP: bugs only for Launchpad urls"
    - [Debian] git-ubuntu-log -- switch to bug order
    - [Debian] git-ubuntu-log -- fix empty section formatting
    - [Debian] git-ubuntu-log -- output should be utf-8


=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
 # This package provides the architecture independent parts for kernel
 # version locked tools in the 3.2.0 kernel source.
 
-Package: linux-headers-3.2.0-1426
+Package: linux-headers-3.2.0-1497
 Architecture: armel armhf
 Section: devel
 Priority: optional
@@ -64,7 +64,7 @@
 Description: Header files related to Linux kernel version 3.2.0
  This package provides kernel header files for version 3.2.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-headers-3.2.0-1426/debian.README.gz for details
+ /usr/share/doc/linux-headers-3.2.0-1497/debian.README.gz for details
 
 #Package: linux-libc-dev
 #Architecture: armel armhf
@@ -78,18 +78,18 @@
 # libraries. They are NOT meant to be used to build third-party modules for
 # your kernel. Use linux-ti-omap4-headers-* packages for that.
 
-Package: linux-ti-omap4-tools-3.2.0-1426
+Package: linux-ti-omap4-tools-3.2.0-1497
 Architecture: armel armhf
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux kernel tools for version 3.2.0-1426
+Description: Linux kernel tools for version 3.2.0-1497
  This package provides the architecture dependant parts for kernel
- version locked tools for version 3.2.0-1426 on
+ version locked tools for version 3.2.0-1497 on
  DESC.
 
 
-Package: linux-image-3.2.0-1426-omap4
+Package: linux-image-3.2.0-1497-omap4
 Architecture: armel armhf
 Section: kernel
 Priority: optional
@@ -115,20 +115,20 @@
  the linux-omap4 meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.2.0-1426-omap4
+Package: linux-headers-3.2.0-1497-omap4
 Architecture: armel armhf
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.2.0-1426, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.2.0-1497, ${shlibs:Depends}
 Provides: linux-ti-omap4-headers, linux-ti-omap4-headers-2.6
 Description: Linux kernel headers for version 3.2.0 on TI OMAP4-based systems
  This package provides kernel header files for version 3.2.0 on
  TI OMAP4-based systems.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-ti-omap4-headers-3.2.0-1426/debian.README.gz for details.
+ /usr/share/doc/linux-ti-omap4-headers-3.2.0-1497/debian.README.gz for details.
 
-Package: linux-image-3.2.0-1426-omap4-dbgsym
+Package: linux-image-3.2.0-1497-omap4-dbgsym
 Architecture: armel armhf
 Section: devel
 Priority: optional
